# CHARSEL
A very simple bash script to make copying frequently used special characters to your clipboard easy.

It uses a plain-text file known as a "charfile" to define shortcuts to special characters that are easy to access on the keyboard.

## Installation
Run `make install` as root to install  
Run `make uninstall` as root to remove. Will not delete your personal charfiles

## Dependencies
  * bash
  * util-linux  
  * xclip  
  * A terminal with UTF-8 encoding enabled  

## Usage
To start the program, run `charsel <charfile>`
This will start the program with the specified charfile. There are a few installed by default, to see them, use `charsel list`.

Once you have started the program, simply type the shortcut listed on the left side of the table to copy the character on the right side of the table to your clipboard. If the charfile you used has multi-character shortcut keys, then you must hit enter after using a single letter shortcut. If the only shortcuts are single-letter, however, you can simply type the shortcut without clicking enter.

The default charfiles all have hidden shortcuts for capital letters that are not shown on the table. Simply type a capital version of the shortcut key to access the capital version of the special character.

## Creating a charfile
Make a new file in `~/.local/share/charsel/` or `/usr/share/charsel` with the name that you would like to use to call the charfile in the command.

Fill it in, using the provided examples as a template. Hidden shortcuts go above the '---'

## License
Charfile is GNU GPLv3 licensed, see COPYING for more information
 
Charfile is written by [Armaan Bhojwani](https://armaan.bhojwani.org), [Email](mailto:3fb650a9-b47e-4604-a282-1dd91953b2ee@anonaddy.me)
